import python_jsonschema_objects as pjs

schema = {'$schema': 'http://json-schema.org/draft-04/schema#', 'title': 'Podping', 'type': 'object', 'oneOf': [{'$ref': '#/definitions/podping-v0'}, {'$ref': '#/definitions/podping-v0.2'}, {'$ref': '#/definitions/podping-v0.3'}, {'$ref': '#/definitions/podping-v1.0'}, {'$ref': '#/definitions/podping-v1.1'}], 'definitions': {'podping-v0': {'properties': {'url': {'type': 'string'}}, 'required': ['url'], 'additionalProperties': False}, 'iri': {'format': 'uri', 'type': 'string'}, 'iri-list': {'type': 'array', 'items': {'format': 'uri', 'type': 'string'}}, 'podping-v0.2': {'oneOf': [{'properties': {'version': {'const': '0.2', 'type': 'string'}, 'num_urls': {'const': 1, 'type': 'integer'}, 'url': {'$ref': '#/definitions/iri'}}, 'required': ['version', 'num_urls', 'url'], 'additionalProperties': False}, {'properties': {'version': {'const': '0.2', 'type': 'string'}, 'num_urls': {'minimum': 1, 'type': 'integer'}, 'urls': {'$ref': '#/definitions/iri-list'}}, 'required': ['version', 'num_urls', 'urls'], 'additionalProperties': False}]}, 'reasons-v0.3': {'const': 'feed_update', 'type': 'string'}, 'podping-v0.3': {'oneOf': [{'properties': {'version': {'const': '0.3', 'type': 'string'}, 'num_urls': {'const': 1, 'type': 'integer'}, 'reason': {'$ref': '#/definitions/reasons-v0.3'}, 'url': {'$ref': '#/definitions/iri'}}, 'required': ['version', 'num_urls', 'reason', 'url'], 'additionalProperties': False}, {'properties': {'version': {'const': '0.3', 'type': 'string'}, 'num_urls': {'minimum': 1, 'type': 'integer'}, 'reason': {'$ref': '#/definitions/reasons-v0.3'}, 'urls': {'$ref': '#/definitions/iri-list'}}, 'required': ['version', 'num_urls', 'reason', 'urls'], 'additionalProperties': False}]}, 'mediums-v1.0': {'enum': ['podcast', 'music', 'video', 'film', 'audiobook', 'newsletter', 'blog']}, 'reasons-v1.0': {'enum': ['update', 'live', 'liveEnd']}, 'podping-v1.0': {'properties': {'version': {'const': '1.0', 'type': 'string'}, 'medium': {'$ref': '#/definitions/mediums-v1.0'}, 'reason': {'$ref': '#/definitions/reasons-v1.0'}, 'iris': {'$ref': '#/definitions/iri-list'}}, 'required': ['version', 'medium', 'reason', 'iris'], 'additionalProperties': False}, 'mediums-v1.1': {'enum': ['mixed', 'podcastL', 'musicL', 'videoL', 'filmL', 'audiobookL', 'newsletterL', 'blogL', 'publisher', 'publisherL', 'course', 'courseL']}, 'uint64': {'minimum': 0, 'maximum': 18446744073709551615, 'type': 'integer'}, 'podping-v1.1': {'properties': {'version': {'const': '1.1', 'type': 'string'}, 'medium': {'oneOf': [{'$ref': '#/definitions/mediums-v1.0'}, {'$ref': '#/definitions/mediums-v1.1'}]}, 'reason': {'$ref': '#/definitions/reasons-v1.0'}, 'iris': {'$ref': '#/definitions/iri-list'}, 'timestampNs': {'$ref': '#/definitions/uint64'}, 'sessionId': {'$ref': '#/definitions/uint64'}}, 'required': ['version', 'medium', 'reason', 'iris', 'timestampNs', 'sessionId'], 'additionalProperties': False}}}

builder = pjs.ObjectBuilder(schema)
jsonschema_namespace = builder.build_classes()

Podping = jsonschema_namespace[schema["title"]]